Create an asynchronous image edit job
curl --request POST \
--url https://nsfw-api.net/v1/images/edits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "qwen-image-edit-spicy",
"image": "<string>",
"prompt": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'qwen-image-edit-spicy', image: '<string>', prompt: '<string>'})
};
fetch('https://nsfw-api.net/v1/images/edits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://nsfw-api.net/v1/images/edits"
payload = {
"model": "qwen-image-edit-spicy",
"image": "<string>",
"prompt": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"object": "generation.job",
"created": 123,
"status": "queued",
"model": "<string>",
"poll_url": "<string>",
"completed": 123,
"reserved_amount": "<string>",
"currency": "USD",
"data": [
{
"url": "<string>"
}
],
"error": {
"code": "<string>",
"message": "<string>"
},
"webhook_signing_secret": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}API Reference
Edit an image
Create an asynchronous image edit job.
POST
https://nsfw-api.net
/
v1
/
images
/
edits
Create an asynchronous image edit job
curl --request POST \
--url https://nsfw-api.net/v1/images/edits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "qwen-image-edit-spicy",
"image": "<string>",
"prompt": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'qwen-image-edit-spicy', image: '<string>', prompt: '<string>'})
};
fetch('https://nsfw-api.net/v1/images/edits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://nsfw-api.net/v1/images/edits"
payload = {
"model": "qwen-image-edit-spicy",
"image": "<string>",
"prompt": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"object": "generation.job",
"created": 123,
"status": "queued",
"model": "<string>",
"poll_url": "<string>",
"completed": 123,
"reserved_amount": "<string>",
"currency": "USD",
"data": [
{
"url": "<string>"
}
],
"error": {
"code": "<string>",
"message": "<string>"
},
"webhook_signing_secret": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}Accepts a public HTTPS image or ready private media ID and returns an asynchronous image-edit job.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required string length:
1 - 200Body
application/json
Response
Default Response
Pattern:
^job_[A-Za-z0-9_-]{20,64}$Available options:
generation.job Available options:
queued, submitted, processing, succeeded, failed, cancelled, expired, reconciliation_required Pattern:
^[0-9]+\.[0-9]{4}$Available options:
USD Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^whsec_[A-Za-z0-9_-]{43}$Last modified on September 17, 2026